Package com.logicaldoc.core.security.user

# Class PasswordHistory

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.security.user.PasswordHistory

All Implemented Interfaces:
  `Serializable`, `Comparable<PasswordHistory>`

@Entity public class PasswordHistory extends PersistentObject implements Serializable, Comparable<PasswordHistory>
This class represent an old password of a user

Version:
  8.6.1
Author:
  Marco Meschieri
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`PasswordHistory()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(PasswordHistory other)`
`boolean`
`equals(Object obj)`
`Date`
`getDate()`
`String`
`getPassword()`
`long`
`getUserId()`
`int`
`hashCode()`
`void`
`setDate(Date date)`
`void`
`setPassword(String password)`
`void`
`setUserId(long userId)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PasswordHistory

public PasswordHistory()

## Method Details

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getPassword

public String getPassword()

### setPassword

public void setPassword(String password)

### getDate

public Date getDate()

### setDate

public void setDate(Date date)

### compareTo

public int compareTo(PasswordHistory other)

Specified by:
  `compareTo` in interface `Comparable<PasswordHistory>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`